|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QAccessibleBridgePlugin Class Reference
[QtGui module]

The QAccessibleBridgePlugin class provides an abstract base for accessibility bridge plugins. More...

     #include <QAccessibleBridgePlugin>

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QAccessibleBridgePlugin ( QObject * parent = 0 )
- ~QAccessibleBridgePlugin ()
- virtual QAccessibleBridge * create ( const QString & key ) = 0
- virtual QStringList keys () const = 0

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QAccessibleBridgePlugin class provides an abstract base for accessibility bridge plugins.

Writing an accessibility bridge plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN2() macro.

See also QAccessibleBridge, QAccessiblePlugin, and How to Create Qt Plugins.

## Member Function Documentation

### QAccessibleBridgePlugin::QAccessibleBridgePlugin ( QObject * parent = 0 )

Constructs an accessibility bridge plugin with the given parent. This is invoked automatically by the Q_EXPORT_PLUGIN2() macro.

### QAccessibleBridgePlugin::~QAccessibleBridgePlugin ()

Destroys the accessibility bridge plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QAccessibleBridge * QAccessibleBridgePlugin::create ( const QString & key ) `[pure virtual]`

Creates and returns the QAccessibleBridge object corresponding to the given key. Keys are case sensitive.

See also keys().

### QStringList QAccessibleBridgePlugin::keys () const `[pure virtual]`

Returns the list of keys this plugins supports.

These keys must be the names of the bridges that this plugin provides.

See also create().